> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/ios/standalone-modules/document-detector/references.md).

# References

### DocumentDetectorResult

| Parameter             | Description                                                                                                                                                                   | Allow Null |
| --------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------- |
| `captures: [Capture]` | Array of captures for the documents provided. Can be null in case of an error.                                                                                                | ✅          |
| `type: String`        | Class of the document stream. Possible values are listed above. Can be null in case of error. The possible value are listed in the [section below](#possible-values-for-type) | ✅          |
| `trackingId: String`  | Identifier for this execution on our servers. Required for analytics and debugging.                                                                                           | ❌          |

#### Possible Values for `type`

The parameter `type` can have one of the following values:

* `"blank"`
* `"cnh"`
* `"cnh_new"`
* `"generic"`
* `"rg"`
* `"rg_new"`
* `"rne"`
* `"rnm"`
* `"ctps"`
* `"passport"`
* `"crlv"`
* `"crlv_new"`
* `"cin"`

### CafCapture

| Parameter         | Description                                                                                                         | Allow Null |
| ----------------- | ------------------------------------------------------------------------------------------------------------------- | ---------- |
| `image: UIImage`  | Document image.                                                                                                     | ❌          |
| `label: String`   | Label of the respective document. Possible values are listed in the [section below](#possible-values-for-captures). | ❌          |
| `quality: Double` | Quality score inferred by the document quality algorithm. Ranges between 0 and 5.                                   | ❌          |

#### Possible Values for `captures`

The parameter `captures` can have one of the following values:

* `"blank"`
* `"cnh_back"`
* `"cnh_front"`
* `"cnh_full"`
* `"new_cnh_back"`
* `"new_cnh_front"`
* `"new_cnh_full"`
* `"crlv"`
* `"crlv_new"`
* `"generic"`
* `"rg_back"`
* `"rg_front"`
* `"rg_full"`
* `"rg_new_back"`
* `"rg_new_front"`
* `"rg_new_full"`
* `"rne_back"`
* `"rne_front"`
* `"rnm_back"`
* `"rnm_front"`
* `"ctps_back"`
* `"ctps_front"`
* `"passport"`
* `"cin_front"`
* `"cin_back"`

#### **DocumentDetectorFailure**

Superclass that leads to the SDK shutdown. To find out what the reason was, find out which object class has the **`isKindOfClass()`** method, equivalent to **`instanceof`** in Java and **`is`** in Dart:

| **isKindOfClass()**         | **Description**                                               | **Exemple**                                                      |
| --------------------------- | ------------------------------------------------------------- | ---------------------------------------------------------------- |
| **`CafInvalidTokenReason`** | The token entered is not valid for the corresponding product. | Parameterize "test123" as token in the SDK builder.              |
| **`CafPermissionReason`**   | You are missing some mandatory permission to run the SDK.     | Start DocumentDetector without camera permission granted.        |
| **`CafNetworkReason`**      | Internet connection failure.                                  | User was without internet during facematch in FaceAuthenticator. |
| **`CafServerReason`**       | When an SDK request receives a status code of failure.        | In theory, it shouldn't happen. If it does, let us know!         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/ios/standalone-modules/document-detector/references.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
